export declare const color_transform: {
    colorToRGB(color: string): number[];
    RGBToRGBA(rgb: number[], alpha: number): string;
    parseRGB(rgba: string): number[];
    HexToRGB(Hex: string): string;
    HSLToRGB(HSL: string): string;
    HueToRGB(p: number, q: number, t: number): number;
    HWBToRGB(HWB: string): string;
    shadeTintColor(rgb: number[], percent: number): number[];
    opacityCreator(value: string, opacity: number): string;
    getShadeTintColorOrGradient(tintValue: number, value: string): string;
    separateColor4Transform(value: string): RegExpMatchArray | null;
};
