import { IAbreviationTraductor, IBPS, IPseudo } from '../interfaces';
export declare class ValuesSingleton {
    private static instance;
    indicatorClass: string;
    colors: {
        [key: string]: string;
    };
    abreviationsClasses: {
        [key: string]: string;
    };
    abreviationsValues: {
        [key: string]: string;
    };
    combos: {
        [key: string]: string[];
    };
    combosCreated: {
        [key: string]: string;
    };
    encryptCombo: boolean;
    encryptComboCharacters: string;
    encryptComboCreatedCharacters: string;
    cssNamesParsed: {
        [key: string]: string | string[];
    };
    alreadyCreatedClasses: string[];
    sheet: any;
    isDebug: boolean;
    bps: IBPS[];
    bpsSpecifyOptions: string[];
    limitBPS: boolean;
    styleSheetToManage: string;
    separator: string;
    specify: string;
    styleConsole: string;
    pseudoClasses: string[];
    pseudosHasSDED: string[];
    pseudoElements: string[];
    pseudos: IPseudo[];
    importantActive: boolean;
    abreviationTraductors: IAbreviationTraductor[];
    lastCSSCreate: number;
    lastTimeAsked2Create: number;
    timesCSSCreated: number;
    timeBetweenReCreate: number;
    useTimer: boolean;
    private constructor();
    static getInstance(): ValuesSingleton;
}
